Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 251781 - x11-misc/jaffm fails to build with gcc 4.3
Summary: x11-misc/jaffm fails to build with gcc 4.3
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo TreeCleaner Project
URL:
Whiteboard: Pending removal: 2009-05-31
Keywords: PMASKED
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-12-20 18:57 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-05-30 00:38 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (jaffm-1.3:20081220-172652.log,37.12 KB, text/plain)
2008-12-20 18:58 UTC, Diego Elio Pettenò (RETIRED)
Details
patch for gcc 4.3 (jaffm-1.3-gcc43.patch,550 bytes, patch)
2009-01-19 16:01 UTC, Gene Seto
Details | Diff
patch to Makefile (jaffm-1.3-Makefile.patch,878 bytes, patch)
2009-01-19 16:04 UTC, Gene Seto
Details | Diff
ebuild to go along with the gcc 4.3 and Makefile patches (jaffm-1.3.ebuild,862 bytes, text/plain)
2009-01-19 16:04 UTC, Gene Seto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-12-20 18:57:59 UTC
Check attached build log.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-12-20 18:58:14 UTC
Created attachment 175981 [details]
Build log
Comment 2 Gene Seto 2009-01-19 16:01:22 UTC
Created attachment 178996 [details, diff]
patch for gcc 4.3
Comment 3 Gene Seto 2009-01-19 16:04:00 UTC
Created attachment 178997 [details, diff]
patch to Makefile

I couldn't get this to link properly without changing where I put 'wx-config --cxxflags --libs'
this must also be linked using gtk2-ansi-release-2.6
Comment 4 Gene Seto 2009-01-19 16:04:43 UTC
Created attachment 178999 [details]
ebuild to go along with the gcc 4.3 and Makefile patches
Comment 5 Ryan Hill (RETIRED) gentoo-dev 2009-02-15 23:59:53 UTC
Treecleaners:
last release was 1.4 in 2006
upstream vanished - homepage gone
broken w/ GCC 4.3 and wxGTK-2.8
many other file managers in the tree
Comment 6 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-21 23:19:24 UTC
Thx Gene.

# Jeremy Olexa <darkside@gentoo.org> (21 Mar 2009)
# Masked for removal in 60 days. Dead upstream (vanished), broken with gcc-4.3 &
# wxGTK-2.8, many alternatives exist, bug 251781
x11-misc/jaffm
Comment 7 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-30 00:38:22 UTC
removed from tree, wontfix